libzypp 17.37.10

ZYppCommitResult.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <vector>`
`#include <list>`
`#include <zypp/PoolItem.h>`
`#include <zypp/sat/Transaction.h>`
`#include <zypp-core/base/DefaultIntegral>`

Go to the source code of this file.

## Classes
class | zypp::UpdateNotificationFile
| Pair of sat::Solvable and Pathname. More...
class | zypp::ZYppCommitResult
| Result returned from ZYpp::commit. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Typedefs
using | zypp::UpdateNotifications = std::list<UpdateNotificationFile>